@Generated(value="org.apache.camel.maven.packaging.EndpointDslMojo") public interface FreemarkerEndpointBuilderFactory
| Modifier and Type | Interface and Description |
|---|---|
static interface |
FreemarkerEndpointBuilderFactory.AdvancedFreemarkerEndpointBuilder
Advanced builder for endpoint for the Freemarker component.
|
static interface |
FreemarkerEndpointBuilderFactory.FreemarkerBuilders |
static interface |
FreemarkerEndpointBuilderFactory.FreemarkerEndpointBuilder
Builder for endpoint for the Freemarker component.
|
| Modifier and Type | Method and Description |
|---|---|
static FreemarkerEndpointBuilderFactory.FreemarkerEndpointBuilder |
freemarker(String path)
Freemarker (camel-freemarker)
Transforms the message using a FreeMarker template.
|
static FreemarkerEndpointBuilderFactory.FreemarkerEndpointBuilder freemarker(String path)
freemarker:resourceUri
Path parameter: resourceUri (required)
Path to the resource. You can prefix with: classpath, file, http, ref, or
bean. classpath, file and http loads the resource using these protocols
(classpath is default). ref will lookup the resource in the registry.
bean will call a method on a bean to be used as the resource. For bean
you can specify the method name after dot, eg bean:myBean.myMethod.Apache Camel